<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjSectionModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'sections';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'floorplan_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'top', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'left', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'width', 'type' => 'int', 'default' => '200'),
		array('name' => 'height', 'type' => 'int', 'default' => '200'),
		array('name' => 'type', 'type' => 'enum', 'default' => ':NULL'),
		array('name' => 'image_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'deg', 'type' => 'int', 'default' => '0'),
		array('name' => 'transform', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'position', 'type' => 'varchar', 'default' => 'top_right'),
		array('name' => 'title', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'size', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'dimensions', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'info', 'type' => 'text', 'default' => ':NULL')
	);
	
	public static function factory($attr=array())
	{
		return new pjSectionModel($attr);
	}
}
?>